#!/bin/bash
dmg=$1

#echo $dmg

xattr -d com.apple.quarantine "$dmg" 2>/dev/null

mountPoint=$(mktemp -d -t mount 2>/dev/null)

echo "Start Mount"

#bypass EULA with yes
VOL=$(yes | hdiutil attach -mountpoint "$mountPoint" -nobrowse "$dmg" 2>/dev/null)

echo "Mount Success"

if [ $? != 0 ]
then
exit -1
fi

echo "Start Copy"

rsync -a --delete "$mountPoint"/*.app /Applications/

echo "Copy Success"

if [ $? != 0 ]
then
exit -1
fi

files=($mountPoint/*.app)
app_name=$(basename "${files[0]}")
app="/Applications/$app_name"

hdiutil detach -quiet "$mountPoint"
rmdir $mountPoint
if [[ -d "$app" ]];then
    open "$app"
    echo "Open Success"
fi